QGIS Application - Bug report #11640
Custom fields do not load from style
2014-11-1302:27PM-C S

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.6.0

Operating System: Windows
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: end of life

Copied to github as #: 19893

Description

A QGIS style (QML) I have been working with suddenly started malfunctioning.
Previously, the style would load both the custom appearance (color, pattern, etc.) and the custom fields | had created (drop-downs,

mostly).
Now, it only loads the appearance.

If | create a new field and load the style, the new field is not overwritten by the style fields as it previously was.

| tried this again with a newly created style QML and a newly created SLD to see if it was just an issue with my custom style, but the same

issue occurs with newly created styles.

Also did not work in 2.2.

History

#1-2014-11-13 0245PM-C S
- File test20141113.gml added

| attached the test style | was working with. It looks like the custom fields save to style but will not load.

(-]
<edittypes>

<edittype labelontop="0" editable="1" type="0" name="id"/>

<edittype labelontop="1" editable="1" type="3" name="place">

<valuepair key="Place A" value="Place A"/>
<valuepair key="Place B" value="Place B"/>
<valuepair key="Place C" value="Place C"/>
</edittype>
</edittypes>
(-]

#2 - 2015-06-04 01:02 AM - Jiirgen Fischer
- Category set to Project Loading/Saving

#3 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No
- Regression? set to No
#4 - 2019-03-09 03:12 PM - Giovanni Manghi
- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

Files

test20141113.qml 8.99 KB
